/*
 * See the README file for copyright information and how to reach the author.
 *
 */

#ifndef __PVRUSB2_TUNEMENU_H
#define __PVRUSB2_TUNEMENU_H

#include "common.h"

class cRMTuneMenu:
    public cOsdMenu
{
    private:
        tColor oldBG;
        cRMChannel* channel;
        cRMChannelMenu* parent;

    protected:
        virtual void DisplayMenu();

    public:
        cRMTuneMenu(cRMChannelMenu* _parent, cRMChannel* _channel);
        virtual ~cRMTuneMenu();

        virtual eOSState ProcessKey(eKeys _key);
};

#endif // __PVRUSB2_TUNEMENU_H
